Subject: Re: bug#23136: less, showing errors

From: Jean Louis <[email-masked]>
Date: Mon, 28 Mar 2016 20:08:57 +0200

Hello,

Thank you.

I have tried that command, I cannot see anything.

Yes, my less is from GuixSD. I guess something was interferring from
alien system.

On Mon, Mar 28, 2016 at 06:49:41PM +0200, Ludovic Courtès wrote:
> Jean Louis <[email-masked]> skribis:
> 
> > package less:
> >
> > $ less --help
> > head: cannot open ‘@/less/help/file/@’ for reading: No such file or
> > directory
> > Error: no lexer for alias '@/less/help/file/@' found
> 
> I tried in a pristine environment like this:
> 
>   guix environment --container --ad-hoc less -- /bin/sh -c 'TERM=xterm less --help'
> 
> This works well for me.  Could you check on your system?
> 
> If this works, it probably means that something from the host system is
> interfering.
> 
> Does ‘which less’ point to Guix’s less?
> 
> Thanks,
> Ludo’.